#ifndef PRINT_HPP
#define PRINT_HPP

#include <stdio.h>
#include <stdarg.h>
#include <cstdarg>

class Logger {
    public:
        static void log(const char* format, ...);
        static void err(const char* format, ...);
        static void warn(const char* format, ...);
        static void print(const char* format, ...);
        static void println(const char* format, ...);
};

#endif // PRINT_HPP
